/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss.lookup;

import junit.framework.TestCase;

/**
 * LookupFactoryのテストケース
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class LookupFactoryTest extends TestCase {

	/**
	 * Constructor for LookupFactoryTest.
	 * @param arg0
	 */
	public LookupFactoryTest(String arg0) {
		super(arg0);
	}
	/**
	 * デフォルトのルックアップサービス取得メソッドが正しく動作するかどうかを検査
	 * @throws Exception
	 */
	public void testGetLookup() throws Exception {
		Lookup l = LookupFactory.getLookup("dsr1");

		assertEquals("dsr1", l.getBindTargetName());
	}
}
